%
% anyremote configuration file for Nokia-E70 management. (Server-mode)
%
% Thanks to Andreas Benzing for this configuration file
%
% key definitions is from /usr/include/X11/keysymdef.h
%

% STATUS unknown
% XTEST yes
% SOUND no
% ENV no

GuiAppName=Nokia E70 test
GuiAppType=Example
GuiAppProtocols=Server
GuiAppDesc=Example of keypad handling for Nokia-E70 

[Protocol]=Server

(Connect)=\
    Set(layout,default,keypad_only);

Cancel=Make(exit);

K8=Emulate(key,BackSpace)
K9=Emulate(key,Tab)
10=Emulate(key,Return)
27=Emulate(key,Escape)
32=Emulate(key,space)
33=Emulate(key,exclam)
34=Emulate(key,quotedbl )
35=Emulate(key,numbersign)
36=Emulate(key,dollar)
37=Emulate(key,percent)
38=Emulate(key,ampersand)
39=Emulate(key,apostrophe)
40=Emulate(key,braceleft)
41=Emulate(key,braceright)
42=Emulate(key,asterisk)
43=Emulate(key,plus)
44=Emulate(key,comma)
45=Emulate(key,minus)
46=Emulate(key,period)
47=Emulate(key,slash)
48=Emulate(key,0)
49=Emulate(key,1)
50=Emulate(key,2)
51=Emulate(key,3)
52=Emulate(key,4)
53=Emulate(key,5)
54=Emulate(key,6)
55=Emulate(key,7)
56=Emulate(key,8)
57=Emulate(key,9)
58=Emulate(key,colon)
59=Emulate(key,semicolon)
60=Emulate(key,less)
61=Emulate(key,equal)
62=Emulate(key,greater)
63=Emulate(key,question)
64=Emulate(key,at)
65=Emulate(key,A)
66=Emulate(key,B)
67=Emulate(key,C)
68=Emulate(key,D)
69=Emulate(key,E)
70=Emulate(key,F)
71=Emulate(key,G)
72=Emulate(key,H)
73=Emulate(key,I)
74=Emulate(key,J)
75=Emulate(key,K)
76=Emulate(key,L)
77=Emulate(key,M)
78=Emulate(key,N)
79=Emulate(key,O)
80=Emulate(key,P)
81=Emulate(key,Q)
82=Emulate(key,R)
83=Emulate(key,S)
84=Emulate(key,T)
85=Emulate(key,U)
86=Emulate(key,V)
87=Emulate(key,W)
88=Emulate(key,X)
89=Emulate(key,Y)
90=Emulate(key,Z)
91=Emulate(key,bracketleft)
92=Emulate(key,backslash)
93=Emulate(key,bracketright)
94=Emulate(key,asciicircum)
95=Emulate(key,underscore)
%96=Emulate(key,)
97=Emulate(key,a)
98=Emulate(key,b)
99=Emulate(key,c)
100=Emulate(key,d)
101=Emulate(key,e)
102=Emulate(key,f)
103=Emulate(key,g)
104=Emulate(key,h)
105=Emulate(key,i)
106=Emulate(key,j)
107=Emulate(key,k)
108=Emulate(key,l)
109=Emulate(key,m)
110=Emulate(key,n)
111=Emulate(key,o)
112=Emulate(key,p)
113=Emulate(key,q)
114=Emulate(key,r)
115=Emulate(key,s)
116=Emulate(key,t)
117=Emulate(key,u)
118=Emulate(key,v)
119=Emulate(key,w)
120=Emulate(key,x)
121=Emulate(key,y)
122=Emulate(key,z)
123=Emulate(key,braceleft)
124=Emulate(key,bar)
125=Emulate(key,braceright)
126=Emulate(key,asciitilde)
%127 DEL    (delete)

FIRE=Emulate(key,Return)
LEFT=Emulate(key,Left)
UP=Emulate(key,Up)
RIGHT=Emulate(key,Right)
DOWN=Emulate(key,Down)

[End]
